


/**/
/**/
var/Demo=1

/************************************************************
Litter creates 100,000 random objects on the map.
You can change that to 1 mill if you feel like stress testing
************************************************************/
mob/verb/Litter()
	var/Number=100000 //How many to create
	Mark()
	var/Typesof=typesof(/obj)
	for(var/i=1,i<=Number,i++)
		var/Type=pick(Typesof)
		new Type(locate(rand(1,world.maxx),rand(1,world.maxy),z))
	Report()


/******************************************************/
/* This is for keeping track of how long actions take */
var/Time=0
proc/Mark()
	Time=world.timeofday
proc/Report()
	world<<"Time Taken: [(world.timeofday-Time)/10] Seconds"
/******************************************************/

mob/var/Map_Save/SB

/******/
/*Save*/
/******/

mob/verb/Save()
	Mark()
	SB=new /Map_Save
	SB.Save()
	Report()

/******/
/*Load*/
/******/
mob/verb/Load()
	Mark()
	SB.Load()
	Report()

/*Export to savefile*/
mob/verb/Dump()
	Mark()
	SB.Dump("Demo.sav")
	Report()

/*Import from savefile*/
mob/verb/Import()
	Mark()
	var/Map_Save/A=new
	SB=A
	A.Import("Demo.sav")
	Report()

mob/verb/DeleteAll()
	Mark()
	for(var/atom/A)
		if(istype(A,/mob)) continue
		if(istype(A,/area)) continue
		del A
	Report()










atom/icon='Demo.dmi'

turf
	icon_state="Grass"

mob
	icon_state="Player"

obj
	Wall/icon_state="Wall"
	Wall2/icon_state="Wall2"
	Wall3/icon_state="Wall3"
	Wall4/icon_state="Wall4"
	Window/icon_state="Window"
	Stool/icon_state="Stool"
	Table/icon_state="Table"
	Scroll/icon_state="Scroll"
	Ruby/icon_state="Ruby"
	Sapphire/icon_state="Sapphire"
	Diamond/icon_state="Diamond"
	Emerald/icon_state="Emerald"
	Pearl/icon_state="Pearl"
	Black_Pearl/icon_state="Black Pearl"
	Amethyst/icon_state="Amethyst"
	Signet/icon_state="Signet"
	Rune/icon_state="Rune"
	Topaz/icon_state="Topaz"
	Gem/icon_state="Gem"
	Journal/icon_state="Journal"
	Post/icon_state="Post"
	Map/icon_state="Map"
	Wing/icon_state="Wing"
	Pouch/icon_state="Gold"
	Book/icon_state="Book"
	Water_Stone/icon_state="Water Stone"
	Fire_Stone/icon_state="Fire Stone"
	Earth_Stone/icon_state="Earth Stone"
	Air_Stone/icon_state="Air Stone"
	Rock/icon_state="Rock"
	Chest/icon_state="Chest"
	Ancient_Chest/icon_state="Ancient Chest"
	Grave/icon_state="Grave"
	Lamp/icon_state="Lamp"